pipeline {

    agent any

    stages {

        stage ('Build') {
            steps {
                withMaven(maven: 'Maven') {
                    sh 'mvn clean package'
                }
            }
        }

        stage ('Deploy   ') {
            steps {

                withCredentials([[$class          : 'UsernamePasswordMultiBinding',
                                  credentialsId   : 'PCF_LOGIN',
                                  usernameVariable: 'USERNAME',
                                  passwordVariable: 'PASSWORD']]) {

                    sh 'cf login -a https://api.run.pivotal.io -u $USERNAME -p $PASSWORD'
                    sh 'cf push'
                }
                slackSend channel: '#monte',
                        color: 'good',
                        message: "*${currentBuild.currentResult}:* Job ${env.JOB_NAME} build ${env.BUILD_NUMBER}\n More info at: ${env.BUILD_URL}"
            }

        }

    }

}